#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ahci_check_ready, 0x68ea1083, "_gpl");
SYMBOL_CRC(ahci_dev_classify, 0x85f19163, "_gpl");
SYMBOL_CRC(ahci_do_hardreset, 0x3d219788, "_gpl");
SYMBOL_CRC(ahci_do_softreset, 0x9060cb8f, "_gpl");
SYMBOL_CRC(ahci_error_handler, 0xaae7e435, "_gpl");
SYMBOL_CRC(ahci_fill_cmd_slot, 0x0dc3567b, "_gpl");
SYMBOL_CRC(ahci_handle_port_intr, 0x27ec9498, "_gpl");
SYMBOL_CRC(ahci_host_activate, 0x9ee0f8de, "_gpl");
SYMBOL_CRC(ahci_ignore_sss, 0xea50dad3, "_gpl");
SYMBOL_CRC(ahci_init_controller, 0x94cc912e, "_gpl");
SYMBOL_CRC(ahci_kick_engine, 0x0b82ab6f, "_gpl");
SYMBOL_CRC(ahci_ops, 0xeffffe43, "_gpl");
SYMBOL_CRC(ahci_pmp_retry_srst_ops, 0x27f5b9a6, "_gpl");
SYMBOL_CRC(ahci_port_resume, 0xaaa9da45, "_gpl");
SYMBOL_CRC(ahci_print_info, 0xfa2fd725, "_gpl");
SYMBOL_CRC(ahci_qc_issue, 0x01713e22, "_gpl");
SYMBOL_CRC(ahci_reset_controller, 0x2ebcd45d, "_gpl");
SYMBOL_CRC(ahci_reset_em, 0x75bdf75a, "_gpl");
SYMBOL_CRC(ahci_save_initial_config, 0x73323d76, "_gpl");
SYMBOL_CRC(ahci_sdev_groups, 0x86823051, "_gpl");
SYMBOL_CRC(ahci_set_em_messages, 0xa96b4e32, "_gpl");
SYMBOL_CRC(ahci_shost_groups, 0xc413966d, "_gpl");
SYMBOL_CRC(ahci_start_engine, 0x278a7406, "_gpl");
SYMBOL_CRC(ahci_start_fis_rx, 0xecf0d107, "_gpl");
SYMBOL_CRC(ahci_stop_engine, 0xc1e8837a, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9514151a, "_mcount" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x92997ed8, "_printk" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0xf164af1, "ata_link_next" },
	{ 0x74f024c7, "_dev_info" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x60b0b466, "ata_std_qc_defer" },
	{ 0x311ec00f, "sata_pmp_qc_defer_cmd_switch" },
	{ 0x2df50b0, "jiffies" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0xfeb70ed2, "sata_pmp_error_handler" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0x4829a47e, "memcpy" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xf984b586, "ata_host_start" },
	{ 0x8c0b388e, "devm_request_threaded_irq" },
	{ 0x757ed62e, "ata_port_desc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x66060022, "ata_host_register" },
	{ 0xd30ef576, "ata_host_activate" },
	{ 0x1d770b63, "_dev_warn" },
	{ 0x9c07f2fc, "_dev_err" },
	{ 0xbc982b06, "eeh_subsystem_flags" },
	{ 0xcbc3b94e, "eeh_check_failure" },
	{ 0x24bdfbee, "ata_port_classify" },
	{ 0xe7769ccd, "__pm_runtime_resume" },
	{ 0x4da7c5f5, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x16a78af8, "ata_std_postreset" },
	{ 0x3f76ae03, "ata_wait_register" },
	{ 0x83dcb2f7, "__dynamic_dev_dbg" },
	{ 0x9699ef63, "ata_dummy_port_ops" },
	{ 0xcccfb2fa, "sata_deb_timing_hotplug" },
	{ 0x4fdc945d, "sata_deb_timing_normal" },
	{ 0x57106038, "sata_link_hardreset" },
	{ 0xe25f8536, "ata_port_freeze" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xa6d1a2c0, "ata_dev_set_feature" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x81cbc20e, "ata_msleep" },
	{ 0x50e639e1, "ata_wait_after_reset" },
	{ 0x2a85d2b2, "ata_qc_complete_multiple" },
	{ 0x2af29ab1, "sata_link_scr_lpm" },
	{ 0xcd4c9c3c, "devm_kmalloc" },
	{ 0xadc9471a, "dmam_alloc_attrs" },
	{ 0x2148e8da, "dev_driver_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd9bf90cc, "devm_kfree" },
	{ 0x26612968, "sata_lpm_ignore_phy_events" },
	{ 0x16ab7e3f, "sata_async_notification" },
	{ 0x79fd68a9, "ata_ehi_clear_desc" },
	{ 0xfa59cb7c, "ata_ehi_push_desc" },
	{ 0x59d1d7c1, "ata_port_abort" },
	{ 0x4614a6e9, "ata_link_abort" },
	{ 0xa39b4cf2, "udelay" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0x2495d524, "sata_pmp_port_ops" },
	{ 0xf07049dd, "dev_attr_sw_activity" },
	{ 0x30f18b18, "dev_attr_unload_heads" },
	{ 0x14ffd441, "dev_attr_ncq_prio_supported" },
	{ 0x5bbdf408, "dev_attr_ncq_prio_enable" },
	{ 0x4a4a7a22, "dev_attr_link_power_management_policy" },
	{ 0x839e33db, "dev_attr_em_message_type" },
	{ 0x836be1bd, "dev_attr_em_message" },
	{ 0x83c8a62f, "param_ops_int" },
	{ 0xc1ed2056, "param_ops_bool" },
	{ 0xdd918ba4, "module_layout" },
};

MODULE_INFO(depends, "libata");


MODULE_INFO(srcversion, "E4696F00767B0CE1D8A98D6");

MODULE_INFO(suserelease, "SLE15-SP6");
