#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9a946e97, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x8dcd2d5a, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x11b68539, "vmemmap" },
	{ 0x89c3800a, "pci_find_ext_capability" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe740286f, "pci_request_selected_regions" },
	{ 0x2454a44d, "pci_release_selected_regions" },
	{ 0x7389847, "pci_enable_device" },
	{ 0x7bc23e17, "skb_put" },
	{ 0x953fd2fe, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x18865bea, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9afd900a, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1a6efda, "unregister_netdev" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0xcbc3b94e, "eeh_check_failure" },
	{ 0x1e86084d, "dma_unmap_page_attrs" },
	{ 0xf4243f5c, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x22438680, "skb_add_rx_frag" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xd05abde0, "__put_devmap_managed_page_refs" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0xebf77b80, "__wake_up" },
	{ 0xf731dd93, "__netif_napi_del" },
	{ 0x83dcb2f7, "__dynamic_dev_dbg" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0x7240d610, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x48a3b9f7, "netdev_err" },
	{ 0x2148e8da, "dev_driver_string" },
	{ 0x99cbc791, "dev_addr_mod" },
	{ 0x82548702, "eth_type_trans" },
	{ 0x89264b2b, "dma_map_page_attrs" },
	{ 0xdc8c3bff, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc784491a, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x74f024c7, "_dev_info" },
	{ 0xb2ba73eb, "napi_gro_receive" },
	{ 0xf5434418, "pci_select_bars" },
	{ 0xb808f984, "build_skb" },
	{ 0xbc982b06, "eeh_subsystem_flags" },
	{ 0xa65972b8, "_memcpy_toio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x19d93f6d, "__irq_apply_affinity_hint" },
	{ 0x9c07f2fc, "_dev_err" },
	{ 0xc022a808, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x37354707, "netif_set_real_num_tx_queues" },
	{ 0x542f56e7, "netif_set_real_num_rx_queues" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0x9cfb37d4, "dma_alloc_attrs" },
	{ 0x67e28b1d, "pci_read_config_word" },
	{ 0x4d773fa4, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x35968f6d, "register_netdev" },
	{ 0xa39b4cf2, "udelay" },
	{ 0x130adba4, "free_netdev" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xd7482f05, "vcalloc" },
	{ 0xd48fdeef, "dql_completed" },
	{ 0x254c9287, "ioremap" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2e7e335c, "ethtool_op_get_link" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0xc16f9ec7, "netif_tx_stop_all_queues" },
	{ 0xbd959c9e, "netif_tx_wake_queue" },
	{ 0xdcb764ad, "memset" },
	{ 0x1d770b63, "_dev_warn" },
	{ 0xed4926c4, "netif_schedule_queue" },
	{ 0x9d382397, "__alloc_pages" },
	{ 0xfcca6b99, "pci_set_master" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0xada6e3c2, "__dynamic_netdev_dbg" },
	{ 0x6c3150a0, "dma_set_coherent_mask" },
	{ 0x893b1c7e, "_dev_notice" },
	{ 0xdd64e639, "strscpy" },
	{ 0xf052932a, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb63220fa, "__folio_put" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x742c6686, "netif_carrier_off" },
	{ 0x653fd2fe, "pci_find_next_ext_capability" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x43ccf19, "pci_disable_sriov" },
	{ 0x26ccecbc, "netif_carrier_on" },
	{ 0xb147a855, "dql_reset" },
	{ 0x54a06e85, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x806a95c, "pci_disable_device" },
	{ 0xe4453786, "dma_set_mask" },
	{ 0x72a68e63, "netif_set_tso_max_size" },
	{ 0x7893a3d7, "kmalloc_trace" },
	{ 0xf1944847, "__napi_schedule_irqoff" },
	{ 0x58871669, "napi_schedule_prep" },
	{ 0x2872abf4, "pci_read_config_byte" },
	{ 0x30328d6, "napi_disable" },
	{ 0x1bda938f, "dev_kfree_skb_any_reason" },
	{ 0xe7ce7439, "_memcpy_fromio" },
	{ 0x1f169c6d, "pci_enable_sriov" },
	{ 0x9514151a, "_mcount" },
	{ 0x78a9e905, "_numa_mem_" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf4ee619b, "kmalloc_caches" },
	{ 0x5fc42d31, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xdd918ba4, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v0000177Dd0000B100sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000177Dd0000B200sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000177Dd0000B400sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000177Dd0000B900sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000177Dd0000BA00sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000177Dd0000BC00sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000177Dd0000BD00sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B01CDBC85CD742AB9C3D9F1");

MODULE_INFO(suserelease, "SLE15-SP6");
