#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mt7615_dma_reset, 0x2262c706, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4f1c0b62, "pci_save_state" },
	{ 0xf7f1df9e, "mt76_dma_rx_poll" },
	{ 0x480ad782, "ieee80211_iterate_interfaces" },
	{ 0x8c0b388e, "devm_request_threaded_irq" },
	{ 0x1aeda9e2, "pci_alloc_irq_vectors" },
	{ 0x18865bea, "netif_napi_add_weight" },
	{ 0xcf559a14, "pci_choose_state" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0x6ae84c2a, "mt76_connac_init_tx_queues" },
	{ 0x4cf2254c, "mt7615_eeprom_init" },
	{ 0xe1b98913, "mt76_tx_status_skb_add" },
	{ 0xf4243f5c, "__pci_register_driver" },
	{ 0xef0a8d89, "mt76_connac_pm_wake" },
	{ 0xe93190b0, "__traceiter_dev_irq" },
	{ 0xb10c3f26, "mt76_connac_write_hw_txp" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x2ff01bba, "pci_set_power_state" },
	{ 0xebf77b80, "__wake_up" },
	{ 0x557f3b38, "mt76_connac_tx_complete_skb" },
	{ 0x2aab4a10, "mt7615_mac_sta_add" },
	{ 0xc34a52d, "kthread_park" },
	{ 0x83dcb2f7, "__dynamic_dev_dbg" },
	{ 0x468fd73f, "mt76_dma_cleanup" },
	{ 0x7240d610, "pci_unregister_driver" },
	{ 0x5577337b, "mt7615_init_txpower" },
	{ 0x916cf9a5, "mt76_alloc_device" },
	{ 0x37997a0c, "mt76_tx_status_check" },
	{ 0xacf6d61f, "wake_up_process" },
	{ 0x835482ba, "mt76_connac_power_save_sched" },
	{ 0x600a6639, "mt7615_tx_token_put" },
	{ 0xdc8c3bff, "napi_complete_done" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0xb3ac7559, "_raw_spin_unlock_bh" },
	{ 0x6cbef79e, "devm_free_irq" },
	{ 0xf7cef94b, "__napi_schedule" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0xeb788178, "mt76_pci_disable_aspm" },
	{ 0x7a82b66, "mt7615_mcu_init" },
	{ 0x157e4292, "mt76_free_device" },
	{ 0xf4c07207, "mt7615_reg_map" },
	{ 0x3c48b46, "kthread_unpark" },
	{ 0x4c2114ec, "mt7615_wait_for_mcu_init" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xbeea861c, "mt76_init_queue" },
	{ 0x6a8b9f0f, "mt7615_mac_sta_remove" },
	{ 0x2eb27ba8, "pcim_iomap_regions" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xdf20b6a1, "ieee80211_queue_delayed_work" },
	{ 0xe91b8df9, "devm_kmemdup" },
	{ 0xbb85c305, "mt7615_init_work" },
	{ 0x9c07f2fc, "_dev_err" },
	{ 0x2be9e8ba, "mt76_register_device" },
	{ 0x117cd626, "idr_alloc" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0xa8c87985, "mt7615_led_set_brightness" },
	{ 0x9561e160, "mt7615_thermal_init" },
	{ 0x4d773fa4, "napi_enable" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x5b6aab47, "mt76_mmio_init" },
	{ 0xf43e0979, "ieee80211_wake_queues" },
	{ 0x8f68da79, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xeabec1aa, "mt76_unregister_device" },
	{ 0x4c8d94cd, "pci_restore_state" },
	{ 0x65485060, "mt76_set_irq_mask" },
	{ 0x51a2fe53, "mt7622_trigger_hif_int" },
	{ 0x402fda9b, "mt7615_register_ext_phy" },
	{ 0xa1fa0a59, "mt7615_ops" },
	{ 0x68d04d8e, "mt7615_led_set_blink" },
	{ 0xfcca6b99, "pci_set_master" },
	{ 0xdaa67abc, "mt7615_queue_rx_skb" },
	{ 0x3f5d91fa, "ieee80211_stop_queues" },
	{ 0x2df50b0, "jiffies" },
	{ 0x1f8ac718, "__tracepoint_dev_irq" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0xb780d17e, "pci_enable_wake" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xae19bde0, "mt76_txq_schedule_all" },
	{ 0xf1059479, "____mt76_poll_msec" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x10fede42, "mt7615_mac_write_txwi" },
	{ 0x51e3dbe2, "_raw_spin_lock_bh" },
	{ 0x267ed4f5, "mt7615_update_channel" },
	{ 0xe4453786, "dma_set_mask" },
	{ 0x5b2e5330, "mt76_connac_mcu_set_hif_suspend" },
	{ 0x14be5409, "mt7615_unregister_ext_phy" },
	{ 0x1e7735e7, "pcim_iomap_table" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xcc54e0db, "mt7615_rx_check" },
	{ 0x23a9e7f0, "ieee80211_queue_work" },
	{ 0xc07ad61a, "mt7615_init_debugfs" },
	{ 0x58871669, "napi_schedule_prep" },
	{ 0x30328d6, "napi_disable" },
	{ 0x86400e82, "mt7615_mcu_exit" },
	{ 0xc939371c, "__mt76_poll" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xe424a26f, "pcim_enable_device" },
	{ 0x8eef21a0, "mt7615_mac_set_rates" },
	{ 0x6c96a919, "mt76_dma_attach" },
	{ 0x543c0838, "pci_free_irq_vectors" },
	{ 0xbb4a69a, "mt7615_init_device" },
	{ 0x9514151a, "_mcount" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdd918ba4, "module_layout" },
};

MODULE_INFO(depends, "mt76,mac80211,mt76-connac-lib,mt7615-common");

MODULE_ALIAS("pci:v000014C3d00007615sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007663sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007611sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "29ED19C5914566449E68658");

MODULE_INFO(suserelease, "SLE15-SP6");
